<!DOCTYPE html>
{% extends 'base.html' %}
{% load static %}
{% load checkLink %}

<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet"
    integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
<link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
<link rel="stylesheet" type="text/css" href="{% static '/css/general.css' %}" />
<script src="https://code.jquery.com/jquery-3.4.1.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"
    integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous">
</script>

{%block body%}
<body class="d-flex flex-column min-vh-100">
    <main class="home-body flex-fill">
        <h1>Edit Information</h1>
        <div class="card-header border-0 bg-white">
            <div class="card-block px-2 bg-white">
                <div class="card-header border-0 bg-white text-center">
                    {%if object.avatar_url%}
                            <figure class="home_profile_image"><img class="home_profile_actual_image" src="data:image/jpeg;base64,{{object.avatar_url|base64Images}}" width="150px" height="150px"></figure>
                    {%elif object.avatar%}
                            <figure class="home_profile_image"><img class="home_profile_actual_image" src="{{object.avatar.url}}" width="150px" height="150px"></figure>
                    {%else%}
                    <figure class="home_profile_image"><img class="home_profile_actual_image"
                            src="{%static '/image/default-avatar.png' %}" width="150px" height="150px"></figure>
                    {%endif%}
                </div>
                <div class="text-center mb-2">
                    <a class="btn btn-outline" href="{% url 'relative-update-photo' pk=object.pk %}"><span
                            class="material-icons">&#xe412;</span> Change Avatar</a>
                </div>
                <form method="post">
                    {% csrf_token %}
                    {{ form.as_p }}
                    
                    <div class="text-center">
                        <a class="btn button-primary" href="{% url 'relative-update-sns' pk=object.pk %}"><span
                                class="material-icons">&#xe8b8;</span> Change SNS</a>
                    </div>
    
                    <div class="" style="height: 50px;"></div>
                    <div class="text-center">
                        <button class="btn button-primary" type="submit">Update Information</button>
                    </div>
                    
                </form>

    
            </div>
            
        </div>
    </main>
</body>

{% endblock %}